Subject: [PWE3] Usage of ACH TLV header in draft-ietf-pwe3-static-pw-status-01

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 12 Jan 2011 17:57:31 +0200

Luca, Matthew, George, Giles and all,

I would highly appreciate a clarification regarding the following point in the static PW status draft.

The draft shows format of the static status PW message as following:

<quote>
    0                   1                   2                   3
    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |0 0 0 1|Version|   Reserved    | 0xZZ PW OAM Message           |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |                         ACH TLV Header                        |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |         Refresh Timer         |  TLV Length   |A|   Flags     |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |                                                               |
   ~                            TLVs                               ~
   |                                                               |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
<end quote>

The draft defines a new ACH type - PW OAM Message - and suggests a value of 0x0022 for this type 
(in its IANA Considerations section).

The draft further explains that  ACH TLV header is defined in RFC 5586, and that it must be set to 0
since there are no ACH TLVs in this message.

However, looking up RFC 5586, I've found the following text dealing with the ACH TLVs vs. ACH Type:

<quote>
   If the G-ACh message MAY be preceded by one or more ACH TLVs, then
   this MUST be explicitly specified in the definition of an ACH Channel
   Type.  If the ACH Channel Type definition does state that one or more
   ACH TLVs MAY precede the G-ACh message, an ACH TLV Header MUST follow
   the ACH.  If no ACH TLVs are required in a specific associated
   channel packet, but the Channel Type nevertheless defines that ACH
   TLVs MAY be used, an ACH TLV Header MUST be present but with a length
   field set to zero to indicate that no ACH TLV follow this header.

   If an ACH Channel Type specification does not explicitly specify that
   ACH TLVs MAY be used, then the ACH TLV Header MUST NOT be used.
<end quote>

Hence my question: Why is the ACH TLV header present in the static PW status message?

To the best of my understanding, the draft, in its present form, does not *explicitly* specify that ACH TLVs 
MAY be used with the new ACH Type defined for these messages: If anything, its text suggests that they are not used.
Hence the last para of the quoted text from RFC 5586 seems to apply, i.e., the ACH TLV Header MUST NOT be used.

Alternatively, if ACH TLVs MAY be used (in future) with the new ACH Type, this MUST at least be explicitly
specified in the draft. (Personally I think that some explanation regarding potential usage of ACH TLVs would be helpful, but this is not mandatory.)

Regards, and lots of thanks in advance,
     Sasha